Subject: Re: [PATCH v2 0/3] fix a kernel panic on fsl corenet board when CONFIG_CLK_PPC_CORENET is enabled

From: Mike Turquette <[email-masked]>
Date: Wed, 19 Nov 2014 18:38:25 -0800

Quoting Scott Wood (2014-11-06 20:07:43)
> On Sun, 2014-10-19 at 14:11 +0800, Kevin Hao wrote:
> > Hi,
> > 
> > I have done a boot test on p2014rdb and t4240qds boards. I don't have an access
> > to mpc512x board, so only build test for that.
> > 
> > v2:
> >  - Revert the commit da788acb2838 first.
> >  - Invoke of_clk_init() from a common place.
> > 
> > v1
> > This tries to fix a kernel panic introduced by commit da788acb2838
> > ("clk: ppc-corenet: Fix Section mismatch warning").
> > 
> > Kevin Hao (3):
> >   Revert "clk: ppc-corenet: Fix Section mismatch warning"
> >   powerpc: call of_clk_init() from time_init()
> >   clk: ppc-corenet: fix section mismatch warning
> > 
> >  arch/powerpc/kernel/time.c                    |  5 ++++
> >  arch/powerpc/platforms/512x/clock-commonclk.c | 11 ++++---
> >  drivers/clk/clk-ppc-corenet.c                 | 43 ++++-----------------------
> >  3 files changed, 16 insertions(+), 43 deletions(-)
> > 
> 
> Acked-by: Scott Wood <[email-masked]>

I'm fine with it going through the ppc tree.

Acked-by: Michael Turquette <[email-masked]>

> 
> Whose tree should this go through?
> 
> -Scott
> 
>